package org.gyk.modules.lssj.bjls.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * @Description: 报警历史记录
 * @Author: jeecg-boot
 * @Date:   2021-03-17
 * @Version: V1.0
 */
public class CxcSssjLssjBjlsjl implements Serializable {
    private static final long serialVersionUID = 1L;

    /**ID*/
    @TableId(type = IdType.ASSIGN_UUID)
    @ApiModelProperty(value = "ID")
    private java.lang.String id;
    /**报警点ID*/
    @Excel(name = "报警点ID", width = 15)
    @ApiModelProperty(value = "报警点ID")
    private java.lang.String bjId;
    /**报警时间*/
    @JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "报警时间")
    private LocalDateTime createTime;
    /**报警结束时间*/
    @JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "报警时间")
    private LocalDateTime endTime;

    /**报警点名称*/
    @Excel(name = "报警点名称", width = 15)
    @ApiModelProperty(value = "报警点名称")
    private java.lang.String bjName;
    /**报警设定值*/
    @Excel(name = "报警设定值", width = 15)
    @ApiModelProperty(value = "报警设定值")
    private java.lang.String sdz;
    /**报警值*/
    @Excel(name = "报警值", width = 15)
    @ApiModelProperty(value = "报警值")
    private java.lang.String bjz;
    /**报警描述*/
    @Excel(name = "报警描述", width = 15)
    @ApiModelProperty(value = "报警描述")
    private java.lang.String reason;
    /**记录标志 a*/
    @Excel(name = "记录标志", width = 15)
    @ApiModelProperty(value = "记录标志")
    private java.lang.String jlbz;
    /**备注*/
    @Excel(name = "备注", width = 15)
    @ApiModelProperty(value = "备注")
    private java.lang.String bz;

    private String zt;

    private boolean saveflag;

    public static long getSerialVersionUID() {
        return serialVersionUID;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getBjId() {
        return bjId;
    }

    public void setBjId(String bjId) {
        this.bjId = bjId;
    }

    public LocalDateTime getCreateTime() {
        return createTime;
    }

    public void setCreateTime(LocalDateTime createTime) {
        this.createTime = createTime;
    }

    public String getBjName() {
        return bjName;
    }

    public void setBjName(String bjName) {
        this.bjName = bjName;
    }

    public String getSdz() {
        return sdz;
    }

    public void setSdz(String sdz) {
        this.sdz = sdz;
    }

    public String getBjz() {
        return bjz;
    }

    public void setBjz(String bjz) {
        this.bjz = bjz;
    }

    public String getReason() {
        return reason;
    }

    public void setReason(String reason) {
        this.reason = reason;
    }

    public String getBz() {
        return bz;
    }

    public void setBz(String bz) {
        this.bz = bz;
    }
//
    public String getJlbz() {
        return jlbz;
    }

    public void setJlbz(String jlbz) {        this.jlbz = jlbz;    }

    public LocalDateTime getEndTime() {
        return endTime;
    }

    public void setEndTime(LocalDateTime endTime) {
        this.endTime = endTime;
    }

    public String getZt() {
        return zt;
    }

    public void setZt(String zt) {
        this.zt = zt;
    }

    public boolean isSaveflag() {
        return saveflag;
    }

    public void setSaveflag(boolean saveflag) {
        this.saveflag = saveflag;
    }
}
